Subject: bug#15286: Add the current directory as GUILE_LOAD_PATH by default

From: Mark H Weaver <[email-masked]>
Date: Sun, 15 Sep 2013 13:46:18 -0400

Arne Babenhauserheide <[email-masked]> writes:

> Am Samstag, 14. September 2013, 14:13:17 schrieb Ludovic Courtès:
>> > I now learned, that with guile I can use 
>> >
>> >     guile -L .
>> >
>> > which actually does what I need.
>> >
>> > Providing this in guix would be consistent with guile and it would make it really easy to select overlays.
>> 
>> If this is a ‘-L’ option, then I’d say no.  After all, Guix is just
>> another Guile library, and as such it must not fiddle with the search
>> path.
>
> Isn’t guix a standalone program?

It's both a library and a standalone program.

If you're using one or more overlays, isn't it easier to set
GUILE_LOAD_PATH in your dot files?  I wouldn't want to have to
specify one or more -L arguments every time I use guix.

     Mark